Loading...
Searching...
No Matches
containerfactory.hh File Reference
`#include <type_traits>`
`#include <array>`
`#include <vector>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/fvector.hh>`
`#include <dune/common/indices.hh>`
`#include <dune/common/tuplevector.hh>`
`#include <dune/functions/functionspacebases/containerdescriptors.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune
namespace | Dune::Functions
namespace | Dune::Functions::ContainerDescriptors

## Functions

template<class T, class ContainerDescriptor>
auto | Dune::Functions::makeContainer (const ContainerDescriptor &descriptor, const T &defaultValue)
| Construct a nested random access container compatible with the container descriptor.
template<class T, class ContainerDescriptor>
auto | Dune::Functions::makeContainer (const ContainerDescriptor &descriptor)
| Construct a nested random access container compatible with the container descriptor.